Anonymous Login
2019-08-23 19:29 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000699v2.3 Release (Closed)[All Projects] Generalpublic2011-03-24 09:53
ReporterTristan 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.3 
Summary0000699: Milestone tasks on Gantt charts display dates in the wrong format
DescriptionTasks marked as milestones display their start finish dates in the wrong date format.
Additional InformationIn the attached PDF sample the system is configured to dd/mm/yyyy.

All dates are displayed correctly as dd/mm/yyyy except the two milestone dates which are in mm/dd/yyyy.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001568

Tristan (reporter)

[Note: With my limited understanding of the code]

Date format appears to be hardcoded on lines 360, 361 & 363 in \modules\tasks\gantt.php

Manually altering %m/%d/%Y to %d/%m/%Y corrects the date display but obviously breaks colour coding etc..

~0001582

caseydk (administrator)

Resolved in r1607 as described
+Notes

-Issue History
Date Modified Username Field Change
2011-01-20 01:47 Tristan New Issue
2011-01-20 01:47 Tristan File Added: GanttChart_11[1].pdf
2011-01-20 03:36 Tristan Note Added: 0001568
2011-01-23 23:39 caseydk Project v2.2 Release (Closed) => v2.3 Release (Closed)
2011-01-23 23:39 caseydk Note Added: 0001582
2011-01-23 23:39 caseydk Status new => resolved
2011-01-23 23:39 caseydk Resolution open => fixed
2011-01-23 23:39 caseydk Assigned To => caseydk
2011-03-24 09:53 caseydk Fixed in Version => 2.3
2011-03-24 09:53 caseydk Status resolved => closed
+Issue History